# AmoebaAngleForce Class Reference

This class implements an interaction between triplets of particles that varies with the angle between them. More...

Inheritance diagram for AmoebaAngleForce:

List of all members.

## Public Member Functions
def | getNumAngles
| getNumAngles(AmoebaAngleForce self) -> int
def | setAmoebaGlobalAngleCubic
| setAmoebaGlobalAngleCubic(AmoebaAngleForce self, double cubicK)
def | getAmoebaGlobalAngleCubic
| getAmoebaGlobalAngleCubic(AmoebaAngleForce self) -> double
def | setAmoebaGlobalAngleQuartic
| setAmoebaGlobalAngleQuartic(AmoebaAngleForce self, double quarticK)
def | getAmoebaGlobalAngleQuartic
| getAmoebaGlobalAngleQuartic(AmoebaAngleForce self) -> double
def | setAmoebaGlobalAnglePentic
| setAmoebaGlobalAnglePentic(AmoebaAngleForce self, double penticK)
def | getAmoebaGlobalAnglePentic
| getAmoebaGlobalAnglePentic(AmoebaAngleForce self) -> double
def | setAmoebaGlobalAngleSextic
| setAmoebaGlobalAngleSextic(AmoebaAngleForce self, double sexticK)
def | getAmoebaGlobalAngleSextic
| getAmoebaGlobalAngleSextic(AmoebaAngleForce self) -> double
def | addAngle
| addAngle(AmoebaAngleForce self, int particle1, int particle2, int particle3, double length, double quadraticK) -> int
def | getAngleParameters
| getAngleParameters(AmoebaAngleForce self, int index)
def | setAngleParameters
| setAngleParameters(AmoebaAngleForce self, int index, int particle1, int particle2, int particle3, double length, double quadraticK)
def | updateParametersInContext
| updateParametersInContext(AmoebaAngleForce self, Context context)
def | __init__
| __init__(OpenMM.AmoebaAngleForce self) -> AmoebaAngleForce __init__(OpenMM.AmoebaAngleForce self, AmoebaAngleForce other) -> AmoebaAngleForce
def | __del__
| __del__(OpenMM.AmoebaAngleForce self)
## Public Attributes
| this

## Detailed Description

This class implements an interaction between triplets of particles that varies with the angle between them.

The interaction is defined by a 6th order polynomial. Only the quadratic term is set per-angle. The coefficients of the higher order terms each have a single value that is set globally.

To use it, create an AmoebaAngleForce object then call addAngle() once for each angle. After an angle has been added, you can modify its force field parameters by calling setAngleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.AmoebaAngleForce self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.AmoebaAngleForce self) -> AmoebaAngleForce __init__(OpenMM.AmoebaAngleForce self, AmoebaAngleForce other) -> AmoebaAngleForce

Create an AmoebaAngleForce.

def addAngle | ( |  | self,
|  |  | args |
| ) |  |  |

addAngle(AmoebaAngleForce self, int particle1, int particle2, int particle3, double length, double quadraticK) -> int

Add an angle term to the force field.

Parameters:

  | particle1 | the index of the first particle connected by the angle
  | particle2 | the index of the second particle connected by the angle
  | particle3 | the index of the third particle connected by the angle
  | length | the angle measured in degrees
  | quadratic | k the quadratic force constant for the angle, measured in kJ/mol/radian^2

def getAmoebaGlobalAngleCubic | ( |  | self | ) |

getAmoebaGlobalAngleCubic(AmoebaAngleForce self) -> double

Get the global cubic term

def getAmoebaGlobalAnglePentic | ( |  | self | ) |

getAmoebaGlobalAnglePentic(AmoebaAngleForce self) -> double

Get the global pentic term

def getAmoebaGlobalAngleQuartic | ( |  | self | ) |

getAmoebaGlobalAngleQuartic(AmoebaAngleForce self) -> double

Get the global quartic term

def getAmoebaGlobalAngleSextic | ( |  | self | ) |

getAmoebaGlobalAngleSextic(AmoebaAngleForce self) -> double

Get the global sextic term

def getAngleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getAngleParameters(AmoebaAngleForce self, int index)

Get the force field parameters for an angle term.

Parameters:

  | index | the index of the angle for which to get parameters
  | particle1 | the index of the first particle connected by the angle
  | particle2 | the index of the second particle connected by the angle
  | particle3 | the index of the third particle connected by the angle
  | length | the equilibrium angle, measured in degress
  | quadratic | k the quadratic force constant for the angle, measured in kJ/mol/radian^2

def getNumAngles | ( |  | self | ) |

getNumAngles(AmoebaAngleForce self) -> int

Get the number of angle stretch terms in the potential function

def setAmoebaGlobalAngleCubic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalAngleCubic(AmoebaAngleForce self, double cubicK)

Set the global cubic term

Parameters:

  | cubicK | the cubic force constant for the angle

def setAmoebaGlobalAnglePentic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalAnglePentic(AmoebaAngleForce self, double penticK)

Set the global pentic term

Parameters:

  | penticK | the pentic force constant for the angle

def setAmoebaGlobalAngleQuartic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalAngleQuartic(AmoebaAngleForce self, double quarticK)

Set the global quartic term

Parameters:

  | quarticK | the quartic force constant for the angle

def setAmoebaGlobalAngleSextic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalAngleSextic(AmoebaAngleForce self, double sexticK)

Set the global sextic term

Parameters:

  | sexticK | the sextic force constant for the angle

def setAngleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setAngleParameters(AmoebaAngleForce self, int index, int particle1, int particle2, int particle3, double length, double quadraticK)

Set the force field parameters for an angle term.

Parameters:

  | index | the index of the angle for which to set parameters
  | particle1 | the index of the first particle connected by the angle
  | particle2 | the index of the second particle connected by the angle
  | particle3 | the index of the third particle connected by the angle
  | length | the equilibrium angle, measured in degrees
  | quadratic | k the quadratic force constant for the angle, measured in kJ/mol/radian^2

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(AmoebaAngleForce self, Context context)

Update the per-angle parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setAngleParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-angle parameters. The set of particles involved in an angle cannot be changed, nor can new angles be added.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py